PIRL.PVL

## Class Invalid_Map_Syntax

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - PIRL.PVL.Invalid_Map_Syntax

All Implemented Interfaces:
  Serializable

    public class Invalid_Map_Syntax
    extends Exception

The Exeception that is thrown if a PVL_to_DB map parameter contains invalid syntax.

See Also:
  `PVL_to_DB`, Serialized Form

### Field Summary

Fields
`static String` `ID` Class name and version identification.

### Constructor Summary

Constructors
Constructor and Description
`Invalid_Map_Syntax(String message)` Constructs an Invalid_Map_Syntax exception with the specified detail message.
`Invalid_Map_Syntax(String message, String reference)` Constructs an Invalid_Map_Syntax exception with the specified detail message and reference.
`Invalid_Map_Syntax(String message, String reference, Parameter parameter)` Constructs an Invalid_Map_Syntax exception with the specified detail message, reference, and map parameter.

### Method Summary

Methods
`void` `Parameter(Parameter parameter)` Saves the pathname and value of the parameter.
`String` `Pathname()` Gets the pathname of the map parameter with the invalid syntax.
`String` `Reference()` Gets the reference with the invalid syntax.
`String` `Value()` Gets the value of the map parameter with the invalid syntax.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class name and version identification.

See Also:
  Constant Field Values

### Constructor Detail

#### Invalid_Map_Syntax

    public Invalid_Map_Syntax(String message)

Constructs an Invalid_Map_Syntax exception with the specified detail message.

The exception's Reference, Pathname and Value will be null.

Parameters:
  `message` - The detail message; retrievable by the `Throwable.getMessage()` method.

#### Invalid_Map_Syntax

    public Invalid_Map_Syntax(String message,
                      String reference)

Constructs an Invalid_Map_Syntax exception with the specified detail message and reference.

The exception's Pathname and Value will be null.

Parameters:
  `message` - The detail message; retrievable by the `Throwable.getMessage()` method.
  `reference` - The reference String that contains the invalid syntax; retrievable by the `Reference()` method.

#### Invalid_Map_Syntax

    public Invalid_Map_Syntax(String message,
                      String reference,
                      Parameter parameter)

Constructs an Invalid_Map_Syntax exception with the specified detail message, reference, and map parameter.

The `Pathname` and `Value` Strings of the parameter are saved.

Parameters:
  `message` - The detail message; retrievable by the `Throwable.getMessage()` method.
  `reference` - The reference String that contains the invalid syntax; retrievable by the `Reference()` method.
  `parameter` - The map parameter that contains the invalid syntax.

### Method Detail

#### Reference

    public String Reference()

Gets the reference with the invalid syntax.

Returns:
  The reference String with the invalid syntax that caused the exception.

#### Pathname

    public String Pathname()

Gets the pathname of the map parameter with the invalid syntax.

Returns:
  The pathname of the map parameter that contained the reference with invalid syntax.

#### Value

    public String Value()

Gets the value of the map parameter with the invalid syntax.

Returns:
  The value String of the map parameter that contained the reference with invalid syntax.

#### Parameter

    public void Parameter(Parameter parameter)

Saves the pathname and value of the parameter.

If the parameter is an Aggregate, the value will be null. If the parameter Value is an Array, the full reprepresentation of the Array will be saved.

Parameters:
  `parameter` - The map parameter that contains the invalid syntax.